Subject: Re: What's cooking in git.git (Mar 2025, #02; Thu, 6)

From: shejialuo <[email-masked]>
Date: Wed, 12 Mar 2025 22:09:23 +0800

On Tue, Mar 11, 2025 at 10:05:11AM -0700, Junio C Hamano wrote:
> shejialuo <[email-masked]> writes:
> 
> > On Thu, Mar 06, 2025 at 04:55:31PM -0800, Junio C Hamano wrote:
> >> [Cooking]
> >> * ps/refname-avail-check-optim (2025-03-06) 16 commits
> >>  - refs: reuse iterators when determining refname availability
> >>  - refs/iterator: implement seeking for files iterators
> >>  - refs/iterator: implement seeking for packed-ref iterators
> >>  - refs/iterator: implement seeking for ref-cache iterators
> >>  - refs/iterator: implement seeking for reftable iterators
> >>  - refs/iterator: implement seeking for merged iterators
> >>  - refs/iterator: provide infrastructure to re-seek iterators
> >>  - refs/iterator: separate lifecycle from iteration
> >>  - refs: stop re-verifying common prefixes for availability
> >>  - refs/files: batch refname availability checks for initial transactions
> >>  - refs/files: batch refname availability checks for normal transactions
> >>  - refs/reftable: batch refname availability checks
> >>  - refs: introduce function to batch refname availability checks
> >>  - builtin/update-ref: skip ambiguity checks when parsing object IDs
> >>  - object-name: allow skipping ambiguity checks in `get_oid()` family
> >>  - object-name: introduce `repo_get_oid_with_flags()`
> >>  (this branch is used by kn/non-transactional-batch-updates.)
> >> 
> >>  The code paths to check whether a refname X is available (by seeing
> >>  if another ref X/Y exists, etc.) have been optimized.
> >> 
> >>  Needs review.
> >>  source: <[email-masked]>
> >
> > I have reviewed some patches for the earlier version. This week, if I
> > have bandwidth, I would review the whole patches again for this version.
> 
> Thanks.  Any topic outside 'next' would not move until the final
> release so it is not urgent (read: if you find a new regression
> introduced to 'master' during this cycle and can work on fixing it,
> that should take precedence), but if you do have bandwidth to do so
> it would be great.

Yes, exactly. We need to prioritize the things related to release.
Fortunately, I have some time tonight to review :)